
From: Jesse Barnes <jbarnes@engr.sgi.com>

Dave Hansen recently did some bootmem and paging init cleanups, but I
missed this little bit when I tested his original patches.  We need to
initialize pgdat->node_mem_map correctly since a) we're using vmem_map, and
b) the core won't do it for us since we have a valid node_start_pfn I
believe.

Signed-off-by: Jesse Barnes <jbarnes@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ia64/mm/discontig.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/ia64/mm/discontig.c~fix-show_mem-on-discontig-machines arch/ia64/mm/discontig.c
--- 25/arch/ia64/mm/discontig.c~fix-show_mem-on-discontig-machines	2004-08-24 17:25:08.520468512 -0700
+++ 25-akpm/arch/ia64/mm/discontig.c	2004-08-24 17:25:08.528467296 -0700
@@ -664,6 +664,7 @@ void paging_init(void)
 
 		pfn_offset = mem_data[node].min_pfn;
 
+		NODE_DATA(node)->node_mem_map = vmem_map + pfn_offset;
 		free_area_init_node(node, NODE_DATA(node), zones_size,
 				    pfn_offset, zholes_size);
 	}
_
